package cn.iocoder.yudao.module.pms.service.yanfan.sip;


import cn.iocoder.yudao.module.pms.controller.admin.yanfan.sip.device.vo.YfSipDeviceRespVO;
import cn.iocoder.yudao.module.pms.controller.admin.yanfan.sip.vo.VideoSessionInfo;
import cn.iocoder.yudao.module.pms.dal.dataobject.yanfan.sip.device.YfSipDeviceDO;

public interface ISipCmd {
    VideoSessionInfo playStreamCmd(YfSipDeviceRespVO device, String channelId, boolean record);
    VideoSessionInfo playbackStreamCmd(YfSipDeviceRespVO device, String channelId, String startTime, String endTime);
    VideoSessionInfo downloadStreamCmd(YfSipDeviceRespVO device, String channelId, String startTime, String endTime, int downloadSpeed);
    void streamByeCmd(YfSipDeviceRespVO device, String channelId, String stream, String ssrc);
    void streamByeCmd(String deviceId, String channelId, String stream, String ssrc);
}
